Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.variable
Class PlanningVariableDescriptor

    java.lang.Object
      org.drools.planner.core.domain.variable.PlanningVariableDescriptor

    public class PlanningVariableDescriptor

extends Object

Constructor Summary
`PlanningVariableDescriptor(PlanningEntityDescriptor planningEntityDescriptor, PropertyDescriptor variablePropertyDescriptor)`

Method Summary
`Collection<?>` | `extractPlanningValues(SolutionDirector solutionDirector, Object planningEntity)`
`PlanningEntityDescriptor` | `getPlanningEntityDescriptor()`
`Object` | `getValue(Object planningEntity)`
`PlanningValueSorter` | `getValueSorter()`
`String` | `getVariablePropertyName()`
`boolean` | `isInitialized(Object planningEntity)`
`boolean` | `isPlanningValuesCacheable()`
`void` | `setValue(Object planningEntity, Object value)`
`void` | `uninitialize(Object planningEntity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanningVariableDescriptor

    public PlanningVariableDescriptor(PlanningEntityDescriptor planningEntityDescriptor,
                                      PropertyDescriptor variablePropertyDescriptor)

Method Detail

### getPlanningEntityDescriptor

    public PlanningEntityDescriptor getPlanningEntityDescriptor()

### getVariablePropertyName

    public String getVariablePropertyName()

### getValueSorter

    public PlanningValueSorter getValueSorter()

### isInitialized

    public boolean isInitialized(Object planningEntity)

### uninitialize

    public void uninitialize(Object planningEntity)

### getValue

    public Object getValue(Object planningEntity)

### setValue

    public void setValue(Object planningEntity,
                         Object value)

### extractPlanningValues

    public Collection<?> extractPlanningValues(SolutionDirector solutionDirector,
                                               Object planningEntity)

### isPlanningValuesCacheable

    public boolean isPlanningValuesCacheable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.